Bug 806516 - Review Request: python-django-annoying - Eliminate annoying things in the Django framework
Review Request: python-django-annoying - Eliminate annoying things in the Dja...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-03-24 07:23 EDT by Praveen Kumar
Modified: 2012-11-06 06:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 06:34:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2012-03-24 07:23:57 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/annoying/python-django-annoying.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/annoying/python-django-annoying-0.7.6-2.fc16.src.rpm
Description: Django-annoying is a django application that tries to eliminate
annoying things in the Django framework.

koji Build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3929062

rpmlint Output :
rpmlint -i python-django-annoying.spec ~/rpmbuild/SRPMS/python-django-annoying-0.7.6-2.fc16.src.rpm ~/rpmbuild/RPMS/noarch/python-django-annoying-0.7.6-2.fc16.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Please note: this is a rename review request for an existing package
Comment 1 Michael Scherer 2012-03-24 10:35:22 EDT
Hi,

- the new packaging policy seems to ask to have the version of python to be explicitely declared ( see https://fedoraproject.org/wiki/Packaging:Python#BuildRequires ). The goal is to ease the transition to python3. 

- there is no license, and the policy requires that you ask to upstream to add it ( so i just remind you to do so :) )
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

Otherwise, there seems to be no problem, so I will start a formal review once the issue 1 have been fixed.
Comment 2 Michael Scherer 2012-03-24 10:40:59 EDT
Oops, wrong flag
Comment 3 Praveen Kumar 2012-03-24 14:48:46 EDT
Updated to upstream about license file, waiting for response.
Comment 4 Praveen Kumar 2012-05-11 14:14:08 EDT
ping,

I didn't get any response form upstreamer, should I patch license?
Comment 5 Matthias Runge 2012-05-11 17:34:42 EDT
No, you shouldn't. 

If I'm reading https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text right, you should include the license, if there is one. If not, you shouldn't provide another license. I'd keep that up to Michael, he's the reviewer.
Comment 6 Praveen Kumar 2012-06-09 01:39:38 EDT
I cloned it form bitbucket, it contain license file and other files also (looks like it latest one and they forgot to update it on pypi)

SPEC : http://kumarpraveen.fedorapeople.org/annoying/python-django-annoying.spec
SRPM : http://kumarpraveen.fedorapeople.org/annoying/python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.src.rpm


rpmlint output: 
[daredevil@pkumar222 SPECS]$ rpmlint -i python-django-annoying.spec ../SRPMS/python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.src.rpm ../RPMS/noarch/python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.noarch.rpm 
python-django-annoying.spec: W: invalid-url Source0: django-annoying-0.7.6.20120609hga0de8b.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-django-annoying.src: W: invalid-url Source0: django-annoying-0.7.6.20120609hga0de8b.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 7 Praveen Kumar 2012-08-16 23:45:35 EDT
ping?
Comment 8 Michael Scherer 2012-08-17 05:24:29 EDT
Should be good, sorry for the delay. I assume the package do not install in f17 and that's targetted for f18 only ?


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr macros not found. They would be needed for EPEL5
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Permissions on files are set properly.
[x]: Package does not contain duplicates in %files.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Package installs properly.
     Note: Installation errors (see attachment)
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (django-annoying-0.7.6.20120609hga0de8b.tar.xz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Issues:
=======
[!]: Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines

Installation errors
-------------------
INFO: mock.py version 1.1.23 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.23
INFO: Mock Version: 1.1.23
Start: lock buildroot
INFO: installing package(s): /home/misc/checkout/git/FedoraReview/806516-python-django-annoying/results/python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-17-x86_64/root/', 'install', '/home/misc/checkout/git/FedoraReview/806516-python-django-annoying/results/python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.noarch.rpm', '--setopt=tsflags=nocontexts']
Erreur : Paquet : python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.noarch (/python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.noarch)
             Requiert : python-django
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
 Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest

Rpmlint
-------
Checking: python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.noarch.rpm
          python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.src.rpm
python-django-annoying.src: W: invalid-url Source0: django-annoying-0.7.6.20120609hga0de8b.tar.xz
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7
    python-django  

Provides
--------
python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.noarch.rpm:
    
    django-annoying = 0.7.6-3.20120609hga0de8b.fc17
    python-django-annoying = 0.7.6-3.20120609hga0de8b.fc17

MD5-sum check
-------------


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 806516
External plugins:
Comment 9 Praveen Kumar 2012-08-17 13:05:49 EDT
>[!]: SourceX / PatchY prefixed with %{name}.
>     Note: Source0 (django-annoying-0.7.6.20120609hga0de8b.tar.xz)

This Fixed

>[!]: Package installs properly.
>     Note: Installation errors (see attachment)

For me it's not showing any installation error.
[daredevil@pkumar222 SPECS]$ sudo rpm -ivh ../RPMS/noarch/python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.noarch.rpm 
[sudo] password for daredevil: 
Preparing...                ########################################### [100%]
   1:python-django-annoying ########################################### [100%]
[daredevil@pkumar222 SPECS]$ rpmlint -i python-django-annoying
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Updated SPEC : http://kumarpraveen.fedorapeople.org/annoying/python-django-annoying.spec
SRPM : http://kumarpraveen.fedorapeople.org/annoying/python-django-annoying-0.7.6-3.20120609hga0de8b.fc17.src.rpm

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4398855

I didn't bump the revision, if needed will do.
Comment 10 Michael Scherer 2012-08-17 17:08:52 EDT
Seems i forgot to explictely say that i approved the package :)
( so you can ask the git request )
Comment 11 Praveen Kumar 2012-08-17 22:43:29 EDT
New Package SCM Request
=======================
Package Name: python-django-annoying
Short Description: Eliminate annoying things in the Django framework
Owners: kumarpraveen
Branches: f18 devel
Comment 12 Jon Ciesla 2012-08-18 11:25:26 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-08-18 12:17:27 EDT
python-django-annoying-0.7.6-3.20120609hga0de8b.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-django-annoying-0.7.6-3.20120609hga0de8b.fc18
Comment 14 Fedora Update System 2012-08-18 14:49:18 EDT
python-django-annoying-0.7.6-3.20120609hga0de8b.fc18 has been pushed to the Fedora 18 testing repository.

Note You need to log in before you can comment on or make changes to this bug.